abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×
eParkomat, startup z ČR, postoupil mezi finalisty evropského akcelerátoru ChallengeUp!
Robot na pivo mu otevřel dveře k opravdovému byznysu
Internet věcí: Propojený svět? Už se to blíží...
včera 21:21 | Nová verze Ladislav Hagara | Komentářů: 0
včera 11:44 | Zajímavý projekt

Na Indiegogo byla spuštěna kampaň na podporu herní mini konzole a multimediálního centra RetroEngine Sigma od Doyodo. Předobjednat ji lze již od 49 dolarů. Požadovaná částka 20 000 dolarů byla překonána již 6 krát. Majitelé mini konzole si budou moci zahrát hry pro Atari VCS 2600, Sega Genesis nebo NES. Předinstalováno bude multimediální centrum Kodi.

Ladislav Hagara | Komentářů: 0
včera 00:10 | Nová verze

Byla vydána verze 4.7 redakčního systému WordPress. Kódové označením Vaughan bylo vybráno na počest americké jazzové zpěvačky Sarah "Sassy" Vaughan. Z novinek lze zmínit například novou výchozí šablonu Twenty Seventeen, náhledy pdf souborů nebo WordPress REST API.

Ladislav Hagara | Komentářů: 1
6.12. 12:00 | Zajímavý projekt

Projekt Termbox umožňuje vyzkoušet si linuxové distribuce Ubuntu, Debian, Fedora, CentOS a Arch Linux ve webovém prohlížeči. Řešení je postaveno na projektu HyperContainer. Podrobnosti v často kladených dotazech (FAQ). Zdrojové kódy jsou k dispozici na GitHubu [reddit].

Ladislav Hagara | Komentářů: 24
6.12. 11:00 | Bezpečnostní upozornění

Byly zveřejněny informace o bezpečnostní chybě CVE-2016-8655 v Linuxu zneužitelné k lokální eskalaci práv. Chyba se dostala do linuxového jádra v srpnu 2011. V upstreamu byla opravena minulý týden [Hacker News].

Ladislav Hagara | Komentářů: 2
5.12. 22:00 | Komunita

Přibližně před měsícem bylo oznámeno, že linuxová distribuce SUSE Linux Enterprise Server (SLES) běží nově také Raspberry Pi 3 (dokumentace). Obraz verze 12 SP2 pro Raspberry Pi 3 je ke stažení zdarma. Pro registrované jsou po dobu jednoho roku zdarma také aktualizace. Dnes bylo oznámeno, že pro Raspberry Pi 3 je k dispozici také nové openSUSE Leap 42.2 (zprávička). K dispozici je hned několik obrazů.

Ladislav Hagara | Komentářů: 6
5.12. 06:00 | Zajímavý software

OMG! Ubuntu! představuje emulátor terminálu Hyper (GitHub) postavený na webových technologiích (HTML, CSS a JavaScript). V diskusi k článku je zmíněn podobný emulátor terminálu Black Screen. Hyper i Black Screen používají framework Electron, stejně jako editor Atom nebo vývojové prostředí Visual Studio Code.

Ladislav Hagara | Komentářů: 50
5.12. 06:00 | Zajímavý článek

I letos vychází řada ajťáckých adventních kalendářů. QEMU Advent Calendar 2016 přináší každý den nový obraz disku pro QEMU. Programátoři se mohou potrápit při řešení úloh z kalendáře Advent of Code 2016. Kalendáře Perl Advent Calendar 2016 a Perl 6 Advent Calendar přinášejí každý den zajímavé informace o programovacím jazyce Perl. Stranou nezůstává ani programovací jazyk Go.

Ladislav Hagara | Komentářů: 10
3.12. 16:24 | Nová verze

Byla vydána Mageia 5.1. Jedná se o první opravné vydání verze 5, jež vyšla v červnu loňského roku (zprávička). Uživatelům verze 5 nepřináší opravné vydání nic nového, samozřejmě pokud pravidelně aktualizují. Vydání obsahuje všechny aktualizace za posledního téměř půldruhého roku. Mageia 5.1 obsahuje LibreOffice 4.4.7, Linux 4.4.32, KDE4 4.14.5 nebo GNOME 3.14.3.

Ladislav Hagara | Komentářů: 17
3.12. 13:42 | Pozvánky

V Praze probíhá konference Internet a Technologie 16.2, volné pokračování jarní konference sdružení CZ.NIC. Konferenci lze sledovat online na YouTube. K dispozici je také archiv předchozích konferencí.

Ladislav Hagara | Komentářů: 0
Kolik máte dat ve svém domovském adresáři na svém primárním osobním počítači?
 (32%)
 (24%)
 (29%)
 (8%)
 (5%)
 (3%)
Celkem 785 hlasů
 Komentářů: 50, poslední 29.11. 15:50
Rozcestník
Reklama

Dotaz: Letsencrypt certifikáty na debianu

5.4. 20:42 lertimir | skóre: 58 | blog: Par_slov
Letsencrypt certifikáty na debianu
Přečteno: 145×
Zkouším zprovoznit letsencrypt certifikáty na debianu a instalace mi vyhazuje:
./letsencrypt-auto --help
Bootstrapping dependencies for Debian-based OSes...
Ign http://ftp.cz.debian.org jessie InRelease
Cíl http://ftp.cz.debian.org jessie-updates InRelease
Cíl http://security.debian.org jessie/updates InRelease
Cíl http://ftp.cz.debian.org jessie Release.gpg     
Cíl http://ftp.cz.debian.org jessie Release         
Cíl http://ftp.cz.debian.org jessie-updates/main Sources
Mám:1 http://ftp.cz.debian.org jessie-updates/main amd64 Packages/DiffIndex [1 504 B]
Mám:2 http://ftp.cz.debian.org jessie-updates/main Translation-en/DiffIndex [736 B]
Cíl http://security.debian.org jessie/updates/main Sources                  
Cíl http://security.debian.org jessie/updates/main amd64 Packages   
Cíl http://ftp.cz.debian.org jessie/main Sources                    
Cíl http://ftp.cz.debian.org jessie/main amd64 Packages
Cíl http://security.debian.org jessie/updates/main Translation-en      
Cíl http://ftp.cz.debian.org jessie/main Translation-cs                
Cíl http://ftp.cz.debian.org jessie/main Translation-en
Staženo 2 240 B za 2s (985 B/s)               
Načítají se seznamy balíků… Hotovo
Načítají se seznamy balíků… Hotovo
Vytváří se strom závislostí       
Načítají se stavové informace… Hotovo
augeas-lenses je již nejnovější verze.
libaugeas0 je již nejnovější verze.
ca-certificates je již nejnovější verze.
dialog je již nejnovější verze.
gcc je již nejnovější verze.
libffi-dev je již nejnovější verze.
libssl-dev je již nejnovější verze.
python je již nejnovější verze.
python-dev je již nejnovější verze.
python-virtualenv je již nejnovější verze.
virtualenv je již nejnovější verze.
0 aktualizováno, 0 nově instalováno, 0 k odstranění a 52 neaktualizováno.
Failed to install a working "virtualenv" command, exiting
Takže nějaký problém s virtualenv, ale nedaří se mi zjistit co.

Prohrabal jsem se scriptem a na dvou místech našel použití
  # virtualenv binary can be found in different packages depending on
  # distro version (#346)

  virtualenv=
  if apt-cache show virtualenv > /dev/null 2>&1; then
    virtualenv="virtualenv"
  fi

  if apt-cache show python-virtualenv > /dev/null 2>&1; then
    virtualenv="$virtualenv python-virtualenv"
  fi
a potom
   $SUDO apt-get install -y --no-install-recommends \
    python \
    python-dev \
    $virtualenv \
    gcc \
    dialog \
    $augeas_pkg \
    libssl-dev \
    libffi-dev \
    ca-certificates \



  if ! command -v virtualenv > /dev/null ; then
    echo Failed to install a working \"virtualenv\" command, exiting
    exit 1
  fi
}
zkusil jsem si i ten poslední if a skutečně to se do ifu odvětví, ale nerozumím proč. Protože virtualenv existuje a je funkční, command -v ho provede a otestuje a pokud je příkaz funkční tak vrátí 0, tím pádem jeho negace dá 1 a skočí se na then. Nerozumím vůbec proč, když tedy tam virtualenv je a je funční, proč "Failed to install". Nebo vidím něco blbě.


Řešení dotazu:


Odpovědi

Řešení 1× (lertimir (tazatel))
5.4. 23:17 lertimir | skóre: 58 | blog: Par_slov
Rozbalit Rozbalit vše Re: Letsencrypt certifikáty na debianu
Tak už podruhé stahuji otázku. Našel jsem balik v backports a intaloval jej přímo z repa a tím pádem je po problémech.

Založit nové vláknoNahoru

Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

ISSN 1214-1267   www.czech-server.cz
© 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.